// creator  : weidu.exe (version 23600)
// argument : EVALT.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~EVALT~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~  Global("Kaishas1","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #21114 /* ~Outsiders? Hmph. You should speak with headwoman rather than wander about.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27052 /* ~The Mysterious Island
The villagers here all suggest that I talk to their headwoman before wandering about.~ */ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 13 even though they appear after this state */
~  Global("Kaishas1","GLOBAL",1)
Global("Evalt1","GLOBAL",0)
Global("EvaltGuest","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #21116 /* ~I welcome you to village and I wish you luck in battle with evil that ship holds. I am Evalt, I fish for clan in these savage waters.~ */
  IF ~~ THEN REPLY #21137 /* ~It is a pleasure to meet you, Evalt. What can you tell me about the island?~ */ DO ~SetGlobal("Evalt1","GLOBAL",1)
~ GOTO 2
  IF ~~ THEN REPLY #21139 /* ~A common fisherman, eh? No point in talking with you, is there?~ */ DO ~SetGlobal("Evalt1","GLOBAL",1)
~ GOTO 4
  IF ~~ THEN REPLY #21142 /* ~Well met! We are the party of <CHARNAME>. As you may have heard, we came here seeking knowledge of Balduran's final journey and were shipwrecked on the reefs in a violent storm. Tell me, sir, is there any way off of this island once we find the things we seek?~ */ DO ~SetGlobal("Evalt1","GLOBAL",1)
~ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 5.0 1.0
  SAY #21117 /* ~The island is not too big. With good wind I sail around it in afternoon. There is a natural harbor on north of island and on east of island. The ship of my grandfathers, of Balduran, lies beached in north harbor. The east harbor holds our hope for survival.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #21119 /* ~The island is very dangerous outside of village. The monsters that live in ship will kill and eat anything that they catch. Listen, outsider, may I ask you for help?~ */
  IF ~~ THEN REPLY #21144 /* ~Certainly, what is is?~ */ GOTO 6
  IF ~~ THEN REPLY #21145 /* ~I have important things to accomplish so I'm afraid that I can't help you.~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 5.1 1.1
  SAY #21120 /* ~Perhaps it is better that we live far away from your people. Our ways are not barbaric as yours are.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27053 /* ~The Mysterious Island
I met a villager by the name of Evalt, but I don't think I left a very good impression. Bah! He and his fellows are of no concern.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.2
  SAY #21122 /* ~Unless you can build a boat strong enough for open sea travel, then you are trapped here with us. We attempt to build a boat for whole clan to sail on. Perhaps I should tell you more about island, yes?~ */
  IF ~~ THEN REPLY #21151 /* ~Please do.~ */ GOTO 2
  IF ~~ THEN REPLY #21156 /* ~I doubt very much that I need the assistance of anyone who reeks so strongly of fish.~ */ GOTO 4
END

IF ~~ THEN BEGIN 6 // from: 12.0 3.0
  SAY #21125 /* ~I know that you may not believe my story. No one else on island does. My brother left village two nights ago and has not returned. I know where he has gone though I am ridiculed if I should say.~ */
  IF ~~ THEN REPLY #21159 /* ~Fear no ridicule from me, Evalt, I have seen many strange things.~ */ GOTO 8
  IF ~~ THEN REPLY #21161 /* ~What you say may well gain you ridicule. How shall I know unless you tell me?~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 12.1 8.0 6.1 3.1
  SAY #21126 /* ~So be it. I will brave this danger alone.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27053 /* ~The Mysterious Island
I met a villager by the name of Evalt, but I don't think I left a very good impression. Bah! He and his fellows are of no concern.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.0
  SAY #21128 /* ~Good people, there is a witch on this isle. My brother called her the Blue Lady and those of us who ply these waters have all heard her singing at one time or another. My brother, Evan, heard her more than most. I think that he went to find her. I think that he is under her spell. I must go and find him. This witch might kill him. He is strong but he is under her spell. I fear that she will kill him before he realizes what is happening. Can you find my brother?~ */
  IF ~~ THEN REPLY #21163 /* ~No, I can't find him. My time is too valuable to be running about wasting it on the search for a none-too-bright fisherman.~ */ GOTO 7
  IF ~~ THEN REPLY #21165 /* ~Tell me where this witch is and I shall try to find her.~ */ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.1
  SAY #21130 /* ~I don't know exactly where she is. I have the sense to avoid her, unlike Evan. But I have only heard her singing along the west coast of the island.~ */
  IF ~~ THEN DO ~SetGlobal("EvaltQuest","GLOBAL",1)
~ UNSOLVED_JOURNAL #27054 /* ~Evalt's Missing Brother
Evalt has asked me to search for his brother Evan, who he believes was taken by a "blue witch." He has heard this witch singing along the island's west coast and suggests I might find Evan to the north.~ */ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 13 even though they appear after this state */
~  PartyHasItem("misc1e")
Global("Evaltquest","GLOBAL",1)
~ THEN BEGIN 10 // from:
  SAY #21132 /* ~It is as I feared. Thank you for returning his body. I am in your debt, friends.~ */
  IF ~~ THEN DO ~TakePartyItem("misc1e")
SetGlobal("Evaltquest","GLOBAL",2)
AddexperienceParty(900)
EraseJournalEntry(27054)
~ SOLVED_JOURNAL #23521 /* ~Evalt's Missing Brother
I had the unfortunate duty to tell Evalt that his brother had died. I was able to retrieve the body, but nothing more could I do.~ */ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 13 even though they appear after this state */
~  Global("EvaltQuest","GLOBAL",1)
Global("Evalt1","GLOBAL",1)
~ THEN BEGIN 11 // from:
  SAY #21133 /* ~Have you found Evan yet?~ */
  IF ~~ THEN REPLY #21167 /* ~Not yet, but I will.~ */ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 13 even though they appear after this state */
~  Global("Evalt1","GLOBAL",1)
Global("Kaishas1","GLOBAL",1)
Global("EvaltQuest","GLOBAL",0)
~ THEN BEGIN 12 // from:
  SAY #22159 /* ~I should like to ask a favor of you.~ */
  IF ~~ THEN REPLY #22160 /* ~I am listening.~ */ GOTO 6
  IF ~~ THEN REPLY #22161 /* ~I have no time for you at present.~ */ GOTO 7
END

IF WEIGHT #1 ~  Global("Evaltquest","GLOBAL",2)
~ THEN BEGIN 13 // from:
  SAY #22756 /* ~I am deeply in debt to you for finding my brother. I thank you again.~ */
  IF ~~ THEN EXIT
END
